/v1/ai/chat
Use POST /v1/ai/generate/chat to send messages with access to your visibility data, traffic metrics, and documents. Use these routes to manage session history.
| Method | Endpoint | Description |
|---|---|---|
GET | /sessions | List chat sessions |
GET | /session | Get session (query params) |
POST | /session | Create session. Body: { "sessionId": "optional-id" } |
GET | /session/:sessionId | Get session by ID |
DELETE | /session/:sessionId | Delete session |
POST | /brand-voice | Generate brand voice |
GET | /getFineTuningJob | Fine-tuning job status |
POST | /feedback | Session feedback |
PUT | /brandVoices/:id | Update brand voice |
DELETE | /brandVoices/:id | Delete brand voice |
Workspace context
SetuseWorkspaceContext: true (the default) when calling POST /v1/ai/generate/chat to include visibility scores, report recommendations, and workspace documents in the assistant’s context.
Check available context first with GET /v1/ai/generate/assistant/context.
Create a session
List sessions
Ask about visibility
Pass thesessionId from an existing or newly created session to POST /v1/ai/generate/chat: